News

Get news articles for markets with market impact summaries

POST
/news-feed/market-news

Authorization

appId
headerx-app-id<token>

Your application ID. Required on app-tier and user-tier routes. Omitted on routes that authenticate with x-app-api-key only.

Request Body

application/json
  1. body
venueMarketIds?array<>
Itemsitems <= 10
venueEventIds?array<>
Itemsitems <= 10
customQuery?string
Length1 <= length <= 160
tbs?string
Length1 <= length <= 128
limit?integer
Range1 <= value <= 5

Response Body

200

application/json
  1. response
results*array<>
Example Request
curl -X POST 'https://api.t.sufwankhalid.com/news-feed/market-news' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "results": [    {      "venueMarketId": "string",      "venueEventId": "string",      "question": "string",      "eventTitle": "string",      "category": "string",      "searchQuery": "string",      "timeRange": "string",      "timeRangeLabel": "string",      "articles": [        {          "title": "string",          "url": "string",          "snippet": "string",          "source": "string",          "imageUrl": "string",          "publishedAt": "string",          "summary": "string",          "relevanceScore": 0        }      ]    }  ]}